Removal due to EOL and security #306579.
authorVlastimil Babka <caster@gentoo.org>
Wed, 30 Jun 2010 21:12:21 +0000 (21:12 +0000)
committerVlastimil Babka <caster@gentoo.org>
Wed, 30 Jun 2010 21:12:21 +0000 (21:12 +0000)
Package-Manager: portage-2.2_rc67/cvs/Linux x86_64

dev-java/sun-jre-bin/ChangeLog
dev-java/sun-jre-bin/Manifest
dev-java/sun-jre-bin/files/construct.sh [deleted file]
dev-java/sun-jre-bin/files/sun-jre-bin-1.5.env [deleted file]
dev-java/sun-jre-bin/sun-jre-bin-1.5.0.22.ebuild [deleted file]
dev-java/sun-jre-bin/sun-jre-bin-1.6.0.19.ebuild [deleted file]

index dc683517882f2a9546593ab6cf6aae32273174d9..8e134e4a098775d5d8f867034518d422370d81ca 100644 (file)
@@ -1,6 +1,11 @@
 # ChangeLog for dev-java/sun-jre-bin
 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/sun-jre-bin/ChangeLog,v 1.176 2010/04/26 19:09:20 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/sun-jre-bin/ChangeLog,v 1.177 2010/06/30 21:12:21 caster Exp $
+
+  30 Jun 2010; Vlastimil Babka <caster@gentoo.org>
+  -sun-jre-bin-1.5.0.22.ebuild, -files/sun-jre-bin-1.5.env,
+  -sun-jre-bin-1.6.0.19.ebuild, -files/construct.sh:
+  Removal due to EOL and security #306579.
 
   26 Apr 2010; Markus Meier <maekke@gentoo.org> sun-jre-bin-1.6.0.20.ebuild:
   amd64 stable, bug #314531
index 749bd794d072fc497d6f2498f2aaaba7d12718b5..5dd41672bae95e61b8130fb21e37ad877c6a6069 100644 (file)
@@ -1,26 +1,8 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
 AUX construct-1.6.sh 6799 RMD160 061317637fbdeeaaa7e7104dbc390bcf1bda763c SHA1 516bf0e3a8868c327c1120fc0bcd840d0c3a5c0b SHA256 4369309ba29da4dcdbda4ea614e2db00ff7e3a801fa58b897de818fe33d78e80
-AUX construct.sh 6964 RMD160 8e3de41f59023cb9bf6040fe5f5a36d1b39552e3 SHA1 bc24071dba36878abf7a2da88bfc063eb3727da1 SHA256 47847c81ee85bd1b7dba6e91c2d7757c15a8930f4748dc926e00553bc89fcbd6
 AUX fontconfig.Gentoo.properties 10932 RMD160 ce1fb555f3f5f281f328c8016e12407ac0893819 SHA1 59f68c06f4f727bc72449a76bd4941cbee626373 SHA256 893b469c87ba547122fe158941c00512bf3f15046251f4b8639d967203d32bc1
-AUX sun-jre-bin-1.5.env 794 RMD160 8354353bc23c7148c5bd73d0c7bf958123378e46 SHA1 09301d835309d81f20270ebe90b6a02efd2f3aea SHA256 a7007ac6473f00040646f34caa870195056acd994ef86a2b627f9658c1986a22
 AUX sun-jre-bin-1.6.env 891 RMD160 59bc83699f17395aebc79bf5564ac2f3767aa614 SHA1 1e431f6a7990c4c0684e95a73da32e132183331b SHA256 6fd0124892813113266857364834fb8fa9f08db9f72045e639ec0b5acdfc4c09
-DIST jdk-5.0u22-dlj-linux-amd64.bin 44213188 RMD160 00cecc02b5a02b00732954f5dab6091697462796 SHA1 5f94db1c775bac2ebcff74581f92891f0a9b4922 SHA256 1182d9c8d06fad7e8fbbb994c06f75b32a096fa50e448a7cbf455825ff4b0b21
-DIST jdk-5.0u22-dlj-linux-i586.bin 49782555 RMD160 f015e1502b357cccd45695a5c4bc41ba113d3a30 SHA1 611e56dd3dc0e25b286c374c60b56b5e76569fb2 SHA256 1c2e853b60e408176ec924e717fb7ec7953a9dddbfc397de91536e9084cf9e46
-DIST jdk-6u19-dlj-linux-amd64.bin 84884457 RMD160 9d6a1e4a1c90bfcc82ebdac3a67ad46febd51343 SHA1 272a92b20929d00a3f332c7cca81aea596f0b0f3 SHA256 6b96586edfe17f8d41708fde9f332e2baeb4c15f8f54921235dc6f5ed35eabba
-DIST jdk-6u19-dlj-linux-i586.bin 84828696 RMD160 7b0b23363fc0a807724cc290bd24560c99ac84de SHA1 8f3b750bd108a38fb3931e6bd5b0fcd6ab13951b SHA256 008d53b129909456699ac725e19e21c1a59b91737fc1724d0ff26278f73bf9b0
 DIST jdk-6u20-dlj-linux-amd64.bin 84885416 RMD160 4a62ba9ea54128fe227afd3ff1678286d41616df SHA1 3612cd55715cee3c02894818f9edbd08d71bdea1 SHA256 1e482a05a3741f215613fed15e5d6644520614533b2393ec807674cc2e2d8a88
 DIST jdk-6u20-dlj-linux-i586.bin 84828910 RMD160 6f015c434363e8ac89cdf435c3c71634dea01d8a SHA1 b9866ab9923ba88d95fe3629ece3a6dbbbad1300 SHA256 dbfc1338fd18b59b66701de87ee8d553b8a7fce348966ee8a50728d08e474dbe
-EBUILD sun-jre-bin-1.5.0.22.ebuild 3082 RMD160 b0ff3f603d5f01e33b7fa0622ea9acfb44340dc1 SHA1 d5c752b4600113544e2bcf6a4f3864b45b3b35d7 SHA256 3f3ce45ce2fa0deee1906c649cd60e0d7922cfa7ba4a851480f96de722c4ff7a
-EBUILD sun-jre-bin-1.6.0.19.ebuild 4660 RMD160 0352dfffb3c7af99392846c1d330b65d05ebcdbc SHA1 fe59ab593f58180e9d720c40d07fca448b385a36 SHA256 59fa92604872dff30625770955a2954e24b6d5607ddae7846782e64c0dfa1ee9
 EBUILD sun-jre-bin-1.6.0.20.ebuild 4660 RMD160 6a49dd5f5b5c6e4b0838efd6c7fa6c21726e60f9 SHA1 28ce528ca63dc2628822676cea78ccd4568e9525 SHA256 cd39ad890f9a8dd3313a4bf60d476a21792f71e97f229c4bdf7a33e8cf3aea47
-MISC ChangeLog 31314 RMD160 a11593a4a1617087d768216ef292999dc42e98f9 SHA1 a1731c61018b01f517744b95e451e542427d2e93 SHA256 b7c0687a49a3f21fbd9a44e9272b387e21aa25375d877a7ca8329c760864c7e2
+MISC ChangeLog 31522 RMD160 0ac7a9cafbbc552f352802dad76475ad79d9d238 SHA1 4dc59db97b11398d091efa666a0b67581d38f234 SHA256 9ca1aedd31ff0a51047c37e51ef7fea9be051be09fedb86f183cb2794be0343f
 MISC metadata.xml 349 RMD160 ae6db154651b0c2b160e1e6956fb722cb52f2e8b SHA1 219312b9ae33153d205b514009927531ee14b93a SHA256 fe0ef52d77b220fb36e9c39d2148bf03ec11223d80320cdc066c0fa723a1ae7d
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.14 (GNU/Linux)
-
-iEYEARECAAYFAkvV5JYACgkQkKaRLQcq0GIkSgCZAW4SYSRFKG+RRYW+XhFtb1Gp
-BrAAn0AcIe5l/LBar5JV2CmmYRxIn0t1
-=s8+M
------END PGP SIGNATURE-----
diff --git a/dev-java/sun-jre-bin/files/construct.sh b/dev-java/sun-jre-bin/files/construct.sh
deleted file mode 100644 (file)
index aef91c2..0000000
+++ /dev/null
@@ -1,282 +0,0 @@
-#!/bin/bash
-# construct.sh
-# example construction of JRE and JDK directories from the DLJ bundles
-# 
-# Copyright © 2006 Sun Microsystems, Inc.
-# 
-# Permission is hereby granted, free of charge, to any person obtaining
-# a copy of this software and associated documentation files (the
-# "Software"), to deal in the Software without restriction, including
-# without limitation the rights to use, copy, modify, merge, publish,
-# distribute, sublicense, and/or sell copies of the Software, and to
-# permit persons to whom the Software is furnished to do so, subject to
-# the following conditions:
-# 
-# The above copyright notice and this permission notice shall be
-# included in all copies or substantial portions of the Software.
-# 
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
-# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
-# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
-# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-# 
-# Sun, Sun Microsystems, the Sun logo and Java, Java HotSpot,
-# and JVM  trademarks or registered trademarks of Sun Microsystems,
-# Inc. in the U.S. and other countries.
-
-
-program=`basename $0`
-
-usage () {
-  echo "usage: ${program} path/to/unbundle-jdk path/to/linux-jdk path/to/linux-jre"
-}
-
-getargs() {
-  undir=$1
-  jdkdir=$2
-  jredir=$3
-  if [ ! -d $undir ]; then
-    echo "${program}: unbundle directory not found: $undir"
-    exit 2
-  fi
-  # make sure javahome is the JDK
-  javahome=`echo $undir/*/demo`
-  if [ ! -d $javahome ]; then
-    echo "${program}: unbundle directory incorrect: $undir"
-    echo "  expecting $undir/jdk1.5.0_xx"
-    exit 2
-  else
-    javahome=`dirname $javahome`
-  fi
-  # verify JDK dir
-  jdkdirp=`dirname $jdkdir`
-  jdkbase=`basename $jdkdir`
-  if [ ! -d $jdkdirp ]; then
-    echo "${program}: parent directory for JDK does not exist: $jdkdirp"
-    exit 2
-  fi
-  savedir=`pwd`
-  cd $jdkdirp
-  jdkdirp=`pwd`
-  cd $savedir
-  jdkdir=$jdkdirp/$jdkbase
-  # verify JRE dir
-  jredirp=`dirname $jredir`
-  jrebase=`basename $jredir`
-  if [ ! -d $jredirp ]; then
-    echo "${program}: parent directory for JRE does not exist: $jredirp"
-    exit 2
-  fi
-  savedir=`pwd`
-  cd $jredirp
-  jredirp=`pwd`
-  cd $savedir
-  jredir=$jredirp/$jrebase
-}
-
-checkfiles() {
-  if [ -r $jdkdir ]; then
-    echo "${program}: directory for JDK already exists: $jdkdir"
-    exit 2
-  fi
-  if [ -r $jredir ]; then
-    echo "${program}: directory for JRE already exists: $jredir"
-    exit 2
-  fi
-}
-
-copytree() {
-  echo "copying over the JDK tree..."
-  cp -a $javahome $jdkdir
-}
-
-linkrel() {
-  target=$1
-  link=$2
-  # make a softlink from the $link to the $target
-  # make this a relative link
-  targetb=(`echo $target | tr '/' ' '`)
-  linkb=(`echo $link | tr '/' ' '`)
-  (( n = ${#targetb[*]} ))
-  (( m = ${#linkb[*]} ))
-  c=$n  # common length
-  if [ $m -lt $c ]; then
-    (( c = m ))
-  fi
-  for (( i = 0 ; i < c ; i++ )); do 
-    if [ ${targetb[$i]} != ${linkb[$i]} ]; then
-      # echo components differ, stopping
-      break
-    fi
-  done
-  rel=""
-  for (( j = i + 1; j < m ; j++ )); do
-    if [ -z $rel ]; then
-      rel=".."
-    else
-      rel="$rel/.."
-    fi
-  done
-  for (( j = i; j < n ; j++ )); do
-    if [ -z $rel ]; then
-      rel=${targetb[$j]}
-    else
-      rel="$rel/${targetb[$j]}"
-    fi
-  done
-  ln -s $rel $link
-}
-
-createjre() {
-  echo "creating JRE directory..."
-  # absolute link
-  # ln -s $jdkdir/jre $jredir
-  # relative link
-  linkrel $jdkdir/jre $jredir
-}
-
-unpackjars() {
-  echo "unpacking jars..."
-  unpack200=$jdkdir/bin/unpack200
-  if [ ! -x $unpack200 ]; then
-    echo "${program}: file missing $unpack200"
-    exit 1
-  fi
-  cd $jdkdir
-  PACKED_JARS=`find . -name '*.pack'`
-  for i in $PACKED_JARS; do
-    # echo $i
-    jdir=`dirname $i`
-    jbase=`basename $i .pack`
-    if ! $unpack200 $jdkdir/$jdir/$jbase.pack $jdkdir/$jdir/$jbase.jar; then
-      echo "${program}: error unpacking $jdkdir/$jdir/$jbase.jar"
-    fi
-    if [ ! -r $jdkdir/$jdir/$jbase.jar ]; then
-      echo "${program}: missing $jdkdir/$jdir/$jbase.jar"
-    else
-      echo "  $jdir/$jbase.jar"
-      # remove pack file
-      rm $jdkdir/$jdir/$jbase.pack
-    fi
-  done
-}
-
-preparecds() {
-  # if this is a client installation...
-  compiler="`$jdkdir/bin/java -client -version 2>&1 | tail -n +3 | cut -d' ' -f1-4`"
-  if [ "X$compiler" = "XJava HotSpot(TM) Client VM" ]; then
-    # create the CDS archive
-    echo "creating the class data sharing archive..."
-    if ! $jdkdir/bin/java -client -Xshare:dump > /dev/null 2>&1; then
-       echo "returned error code $?"
-    fi
-  fi
-}
-
-jreman () {
-  echo "setting up the JRE man pages..."
-  # note this list is slightly different for OpenSolaris bundles
-  jreman="${T}/jre.man.txt"
-cat <<EOF > $jreman
-man/ja_JP.eucJP/man1/java.1
-man/ja_JP.eucJP/man1/javaws.1
-man/ja_JP.eucJP/man1/keytool.1
-man/ja_JP.eucJP/man1/kinit.1
-man/ja_JP.eucJP/man1/klist.1
-man/ja_JP.eucJP/man1/ktab.1
-man/ja_JP.eucJP/man1/orbd.1
-man/ja_JP.eucJP/man1/pack200.1
-man/ja_JP.eucJP/man1/policytool.1
-man/ja_JP.eucJP/man1/rmid.1
-man/ja_JP.eucJP/man1/rmiregistry.1
-man/ja_JP.eucJP/man1/servertool.1
-man/ja_JP.eucJP/man1/tnameserv.1
-man/ja_JP.eucJP/man1/unpack200.1
-man/man1/java.1
-man/man1/javaws.1
-man/man1/keytool.1
-man/man1/kinit.1
-man/man1/klist.1
-man/man1/ktab.1
-man/man1/orbd.1
-man/man1/pack200.1
-man/man1/policytool.1
-man/man1/rmid.1
-man/man1/rmiregistry.1
-man/man1/servertool.1
-man/man1/tnameserv.1
-man/man1/unpack200.1
-EOF
-  # create jre/man directory
-  # mkdir $jdkdir/jre/man
-  # move the real JRE man pages to jre/man
-  # link the JDK JRE man pages to jre/man
-  # real JDK man pages stay where they are
-  for m in `cat $jreman`; do
-    manpath=`dirname $jdkdir/jre/$m`
-    mkdir -p $manpath
-    mv $jdkdir/$m $jdkdir/jre/$m
-    linkrel $jdkdir/jre/$m $jdkdir/$m
-  done
-  # link in Japanese man pages
-  ln -s ja_JP.eucJP $jdkdir/jre/man/ja
-  rm $jreman
-}
-
-elimdups() {
-  echo "eliminating duplication between the JDK and JDK/jre..."
-  jdkcomm="${T}/jdk.bin.comm.txt"
-cat <<EOF > $jdkcomm
-bin/ControlPanel
-bin/java
-bin/javaws
-bin/keytool
-bin/kinit
-bin/klist
-bin/ktab
-bin/orbd
-bin/pack200
-bin/policytool
-bin/rmid
-bin/rmiregistry
-bin/servertool
-bin/tnameserv
-bin/unpack200
-EOF
-  # note there is little point in linking these common files
-  #   COPYRIGHT
-  #   LICENSE
-  #   THIRDPARTYLICENSEREADME.txt
-  # And this file is unique to the JDK
-  #   README.html
-  # And these files are unique to the JDK/jre/
-  #   CHANGES
-  #   README
-  #   Welcome.html
-  for p in `cat $jdkcomm`; do
-    rm $jdkdir/$p
-    # this is a relative link
-    ln -s ../jre/$p $jdkdir/$p
-  done
-  rm $jdkcomm
-}
-
-if [ $# -eq 3 ] ; then
-  getargs $1 $2 $3
-  checkfiles
-  copytree
-  createjre
-  unpackjars
-  #preparecds
-  jreman
-  elimdups
-else
-  usage
-  exit 1
-fi
-
-exit 0
-
diff --git a/dev-java/sun-jre-bin/files/sun-jre-bin-1.5.env b/dev-java/sun-jre-bin/files/sun-jre-bin-1.5.env
deleted file mode 100644 (file)
index d4582f4..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/sun-jre-bin/files/sun-jre-bin-1.5.env,v 1.2 2008/01/18 15:05:14 caster Exp $
-
-VERSION="Sun JRE @PV@"
-JAVA_HOME=/opt/@P@
-JRE_HOME=/opt/@P@
-PATH="${JAVA_HOME}/bin:${JAVA_HOME}/javaws"
-ROOTPATH="${JAVA_HOME}/bin:${JAVA_HOME}/javaws"
-LDPATH="${JAVA_HOME}/lib/@PLATFORM@/:${JAVA_HOME}/lib/@PLATFORM@/native_threads/:${JAVA_HOME}/lib/@PLATFORM@/xawt/:${JAVA_HOME}/lib/@PLATFORM@/server/"
-MANPATH="/opt/@P@/man"
-PROVIDES_TYPE="JRE"
-PROVIDES_VERSION="1.5"
-BOOTCLASSPATH="${JAVA_HOME}/lib/rt.jar:${JAVA_HOME}/lib/jsse.jar:${JAVA_HOME}/lib/jce.jar:${JAVA_HOME}/lib/charsets.jar"
-GENERATION="2"
-ENV_VARS="JAVA_HOME JRE_HOME PATH ROOTPATH LDPATH MANPATH"
diff --git a/dev-java/sun-jre-bin/sun-jre-bin-1.5.0.22.ebuild b/dev-java/sun-jre-bin/sun-jre-bin-1.5.0.22.ebuild
deleted file mode 100644 (file)
index 7eefa4d..0000000
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/sun-jre-bin/sun-jre-bin-1.5.0.22.ebuild,v 1.3 2009/11/05 21:28:43 maekke Exp $
-
-inherit pax-utils versionator eutils java-vm-2
-
-UPDATE="$(get_version_component_range 4)"
-UPDATE="${UPDATE#0}"
-MY_PV="$(get_version_component_range 2-3)u${UPDATE}"
-
-X86_AT="jdk-${MY_PV}-dlj-linux-i586.bin"
-AMD64_AT="jdk-${MY_PV}-dlj-linux-amd64.bin"
-
-DESCRIPTION="Sun's Java SE Runtime Environment"
-HOMEPAGE="http://java.sun.com/j2se/1.5.0/"
-SRC_URI="x86? ( http://download.java.net/dlj/binaries/${X86_AT} )
-               amd64? ( http://download.java.net/dlj/binaries/${AMD64_AT} )"
-SLOT="1.5"
-LICENSE="dlj-1.1"
-KEYWORDS="-* amd64 x86"
-RESTRICT="strip"
-IUSE="X alsa nsplugin odbc"
-
-RDEPEND="sys-libs/glibc
-       alsa? ( media-libs/alsa-lib )
-       X? (
-               x11-libs/libXext
-               x11-libs/libXi
-               x11-libs/libXp
-               x11-libs/libXtst
-               x11-libs/libXt
-               x11-libs/libX11
-       )
-       odbc? ( dev-db/unixODBC )"
-DEPEND=""
-
-JAVA_PROVIDE="jdbc-stdext jdbc-rowset"
-
-QA_TEXTRELS_x86="opt/${P}/lib/i386/motif21/libmawt.so
-       opt/${P}/lib/i386/libdeploy.so"
-
-src_unpack() {
-       mkdir bundled-jdk
-       cd bundled-jdk
-       sh "${DISTDIR}/${A}" --accept-license --unpack || die "Failed to unpack"
-
-       cd ..
-       bash "${FILESDIR}/construct.sh"  bundled-jdk sun-jdk-${PV} ${P} || die "construct.sh failed"
-}
-
-src_compile() {
-       # Set PaX markings on all JDK/JRE executables to allow code-generation on
-       # the heap by the JIT compiler. This has to be done before CDS - #215225
-       pax-mark m $(list-paxables "${S}"/bin/*)
-
-       # see bug #207282
-       if use x86; then
-               einfo "Creating the Class Data Sharing archives"
-               "${S}"/bin/java -client -Xshare:dump || die
-       fi
-}
-
-src_install() {
-       local dirs="bin lib man"
-       # only X86 has the plugin and javaws
-       use x86 && dirs="${dirs} javaws plugin"
-       dodir /opt/${P}
-
-       cp -pPR ${dirs} "${D}/opt/${P}/" || die "failed to copy"
-
-       dodoc CHANGES README THIRDPARTYLICENSEREADME.txt || die
-       dohtml Welcome.html || die
-
-       if use nsplugin; then
-               local plugin_dir="ns7-gcc29"
-               if has_version '>=sys-devel/gcc-3' ; then
-                       plugin_dir="ns7"
-               fi
-
-               if use x86 ; then
-                       install_mozilla_plugin /opt/${P}/plugin/i386/$plugin_dir/libjavaplugin_oji.so
-               else
-                       eerror "No plugin available for amd64 arch"
-               fi
-       fi
-
-       # FIXME figure out how to handle the control pannel conflict with
-       # sun-jdk-bin
-
-       # install control panel for Gnome/KDE
-#      sed -e "s/INSTALL_DIR\/JRE_NAME_VERSION/\/opt\/${P}\/jre/" \
-#              -e "s/\(Name=Java\)/\1 Control Panel ${SLOT}/" \
-#              ${D}/opt/${P}/plugin/desktop/sun_java.desktop > \
-#              ${T}/sun_java-${SLOT}.desktop
-
-#      domenu ${T}/sun_java-${SLOT}.desktop
-
-       # bug #56444
-       insinto /opt/${P}/lib/
-       newins "${FILESDIR}"/fontconfig.Gentoo.properties \
-               fontconfig.properties || die
-
-       set_java_env
-       java-vm_revdep-mask
-}
-
-pkg_postinst() {
-       # Set as default VM if none exists
-       java-vm-2_pkg_postinst
-
-       elog "The epoll-based implementation of SelectorProvider is not selected by"
-       elog "default."
-       elog "Use java -Djava.nio.channels.spi.SelectorProvider=sun.nio.ch.EPollSelectorProvider"
-}
diff --git a/dev-java/sun-jre-bin/sun-jre-bin-1.6.0.19.ebuild b/dev-java/sun-jre-bin/sun-jre-bin-1.6.0.19.ebuild
deleted file mode 100644 (file)
index 12ddd48..0000000
+++ /dev/null
@@ -1,149 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/sun-jre-bin/sun-jre-bin-1.6.0.19.ebuild,v 1.3 2010/04/15 20:34:02 maekke Exp $
-
-inherit versionator pax-utils eutils java-vm-2
-
-UPDATE="$(get_version_component_range 4)"
-UPDATE="${UPDATE#0}"
-MY_PV="$(get_version_component_range 2)u${UPDATE}"
-
-SUFFIX=".bin"
-X86_AT="jdk-${MY_PV}-dlj-linux-i586${SUFFIX}"
-AMD64_AT="jdk-${MY_PV}-dlj-linux-amd64${SUFFIX}"
-
-DESCRIPTION="Sun's Java SE Runtime Environment"
-HOMEPAGE="http://java.sun.com/javase/6/"
-URL_BASE="http://download.java.net/dlj/binaries"
-SRC_URI="x86? ( ${URL_BASE}/${X86_AT} )
-               amd64? ( ${URL_BASE}/${AMD64_AT} )"
-SLOT="1.6"
-LICENSE="dlj-1.1"
-KEYWORDS="-* amd64 x86"
-RESTRICT="strip"
-IUSE="X alsa jce nsplugin odbc"
-
-DEPEND="jce? ( =dev-java/sun-jce-bin-1.6.0* )"
-RDEPEND="${DEPEND}
-       sys-libs/glibc
-       x86? ( =virtual/libstdc++-3.3 )
-       alsa? ( media-libs/alsa-lib )
-       X? (
-               x11-libs/libXext
-               x11-libs/libXi
-               x11-libs/libXp
-               x11-libs/libXtst
-               amd64? ( x11-libs/libXt )
-               x11-libs/libX11
-       )
-       odbc? ( dev-db/unixODBC )"
-
-JAVA_PROVIDE="jdbc-stdext jdbc-rowset"
-
-QA_TEXTRELS_x86="opt/${P}/lib/i386/client/libjvm.so
-       opt/${P}/lib/i386/motif21/libmawt.so
-       opt/${P}/lib/i386/libdeploy.so
-       opt/${P}/lib/i386/server/libjvm.so"
-
-src_unpack() {
-       mkdir bundled-jdk
-       cd bundled-jdk
-       sh "${DISTDIR}"/${A} --accept-license --unpack || die "Failed to unpack"
-
-       cd ..
-       bash "${FILESDIR}/construct-1.6.sh"  bundled-jdk sun-jdk-${PV} ${P} || die "construct.sh failed"
-}
-
-src_compile() {
-       # Set PaX markings on all JDK/JRE executables to allow code-generation on
-       # the heap by the JIT compiler. This has to be done before CDS - #215225
-       pax-mark m $(list-paxables "${S}"/bin/*)
-
-       # see bug #207282
-       if use x86; then
-               einfo "Creating the Class Data Sharing archives"
-               "${S}"/bin/java -client -Xshare:dump || die
-               "${S}"/bin/java -server -Xshare:dump || die
-       fi
-}
-
-src_install() {
-       local dirs="bin lib man"
-
-       # only X86 has the plugin and javaws
-       use x86 && dirs="${dirs} javaws plugin"
-       dodir /opt/${P}
-
-       cp -pPR $dirs "${D}/opt/${P}/" || die "failed to copy"
-
-       dodoc README THIRDPARTYLICENSEREADME.txt || die
-       dohtml Welcome.html || die
-       dodir /opt/${P}/share/
-
-       if use jce; then
-               cd "${D}/opt/${P}/lib/security"
-               dodir /opt/${P}/lib/security/strong-jce
-               mv "${D}"/opt/${P}/lib/security/US_export_policy.jar \
-                       "${D}"/opt/${P}/lib/security/strong-jce || die
-               mv "${D}"/opt/${P}/lib/security/local_policy.jar \
-                       "${D}"/opt/${P}/lib/security/strong-jce || die
-               dosym /opt/sun-jce-bin-1.6.0/jre/lib/security/unlimited-jce/US_export_policy.jar /opt/${P}/lib/security/
-               dosym /opt/sun-jce-bin-1.6.0/jre/lib/security/unlimited-jce/local_policy.jar /opt/${P}/lib/security/
-       fi
-
-       if use nsplugin; then
-               local plugin_dir="ns7-gcc29"
-               if has_version '>=sys-devel/gcc-3' ; then
-                       plugin_dir="ns7"
-               fi
-
-               if use x86 ; then
-                       install_mozilla_plugin /opt/${P}/lib/i386/libnpjp2.so
-                       install_mozilla_plugin /opt/${P}/plugin/i386/$plugin_dir/libjavaplugin_oji.so old_oji
-               else
-                       install_mozilla_plugin /opt/${P}/lib/amd64/libnpjp2.so
-               fi
-       fi
-
-       # install control panel for Gnome/KDE
-       if [[ -e "${D}/opt/${P}/plugin/desktop/sun_java.desktop" ]]; then
-               sed -e "s/\(Name=Java\)/\1 Control Panel for Sun JRE ${SLOT}/" \
-                       -e "s#Exec=.*#Exec=/opt/${P}/bin/ControlPanel#" \
-                       -e "s#Icon=.*#Icon=/opt/${P}/plugin/desktop/sun_java.png#" \
-                       "${D}/opt/${P}/plugin/desktop/sun_java.desktop" > \
-                       "${T}/sun_jre-${SLOT}.desktop" || die
-               domenu "${T}/sun_jre-${SLOT}.desktop" || die
-       fi
-
-       # bug #56444
-       insinto /opt/${P}/lib/
-       newins "${FILESDIR}"/fontconfig.Gentoo.properties fontconfig.properties
-
-       set_java_env
-       java-vm_revdep-mask
-}
-
-pkg_postinst() {
-       # Set as default VM if none exists
-       java-vm-2_pkg_postinst
-
-       if use x86 && use nsplugin; then
-               elog
-               elog "Two variants of the nsplugin are available via eselect java-nsplugin:"
-               elog "Note that starting with ${PN}-1.6.0.18-r1 their naming and the default changed,"
-               elog "users with the old plugin set are switched to the new default automatically."
-               elog "The default ${VMHANDLE} is the new 'plugin2' which works in Firefox 3 (xulrunner-1.9)"
-               elog "and newer, the ${VMHANDLE}-old_oji is the old plugin using the OJI API"
-               elog "that was removed in Firefox 3.6 (xulrunner-1.9.2)."
-               elog "For more info see https://jdk6.dev.java.net/plugin2/"
-               elog
-       fi
-
-       if use amd64 && use nsplugin; then
-               elog
-               elog "The amd64 version ships the new 'plugin2' browser plugin which works"
-               elog "in Firefox 3+ and other recent browser versions."
-               elog "For more info see https://jdk6.dev.java.net/plugin2/"
-               elog
-       fi
-}